summaryrefslogtreecommitdiff
path: root/tests/cp/backup-is-src
diff options
context:
space:
mode:
authorJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
committerJim Meyering <jim@meyering.net>2004-06-23 15:07:00 +0000
commit112efa81f24ead69a3a9b6ae76f601911535352c (patch)
treedc10a3855c2b2a118ebf08a2df2710377dcff8d7 /tests/cp/backup-is-src
parent11f05299f96e39d58356f83d09811487235c5f4c (diff)
downloadcoreutils-112efa81f24ead69a3a9b6ae76f601911535352c.tar.xz
Replace all occurrences of `(exit N); exit' with
`(exit N); exit N'. Otherwise, those many tests could exit with improper exit status when exiting via e.g., a trapped interrupt. Thanks to a report from Bob Proulx.
Diffstat (limited to 'tests/cp/backup-is-src')
-rwxr-xr-xtests/cp/backup-is-src4
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/cp/backup-is-src b/tests/cp/backup-is-src
index 4f25e81b1..7d4c47d64 100755
--- a/tests/cp/backup-is-src
+++ b/tests/cp/backup-is-src
@@ -22,7 +22,7 @@ echo a-tilde > a~ || framework_failure=1
if test $framework_failure = 1; then
echo "$0: failure in testing framework" 1>&2
- (exit 1); exit
+ (exit 1); exit 1
fi
# This cp command should exit nonzero.
@@ -36,4 +36,4 @@ EOF
cmp out2 exp || fail=1
-(exit $fail); exit
+(exit $fail); exit $fail